Package org.drinkless.tdlib

# Class TdApi.MessageCopyOptions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageCopyOptions

Enclosing class:
  TdApi

public static class TdApi.MessageCopyOptions extends TdApi.Object
Options to be used when a message content is copied without reference to the original sender. Service messages, messages with messageInvoice, messagePaidMedia, messagePremiumGiveaway, or messagePremiumGiveawayWinners content can't be copied.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FormattedText`
  `newCaption`
  New message caption; pass null to copy message without caption.
  `boolean`
  `newShowCaptionAboveMedia`
  True, if new caption must be shown above the animation; otherwise, new caption must be shown below the animation; not supported in secret chats.
  `boolean`
  `replaceCaption`
  True, if media caption of the message copy needs to be replaced.
  `boolean`
  `sendCopy`
  True, if content of the message needs to be copied without reference to the original sender.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageCopyOptions()`
  Options to be used when a message content is copied without reference to the original sender.
  `MessageCopyOptions(boolean sendCopy, boolean replaceCaption, TdApi.FormattedText newCaption, boolean newShowCaptionAboveMedia)`
  Options to be used when a message content is copied without reference to the original sender.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sendCopy

    public boolean sendCopy
    True, if content of the message needs to be copied without reference to the original sender. Always true if the message is forwarded to a secret chat or is local.

  - ### replaceCaption

    public boolean replaceCaption
    True, if media caption of the message copy needs to be replaced. Ignored if sendCopy is false.

  - ### newCaption

    public TdApi.FormattedText newCaption
    New message caption; pass null to copy message without caption. Ignored if replaceCaption is false.

  - ### newShowCaptionAboveMedia

    public boolean newShowCaptionAboveMedia
    True, if new caption must be shown above the animation; otherwise, new caption must be shown below the animation; not supported in secret chats. Ignored if replaceCaption is false.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageCopyOptions

    public MessageCopyOptions()
    Options to be used when a message content is copied without reference to the original sender. Service messages, messages with messageInvoice, messagePaidMedia, messagePremiumGiveaway, or messagePremiumGiveawayWinners content can't be copied.

  - ### MessageCopyOptions

    public MessageCopyOptions(boolean sendCopy, boolean replaceCaption, TdApi.FormattedText newCaption, boolean newShowCaptionAboveMedia)
    Options to be used when a message content is copied without reference to the original sender. Service messages, messages with messageInvoice, messagePaidMedia, messagePremiumGiveaway, or messagePremiumGiveawayWinners content can't be copied.
    Parameters:
      `sendCopy` - True, if content of the message needs to be copied without reference to the original sender. Always true if the message is forwarded to a secret chat or is local.
      `replaceCaption` - True, if media caption of the message copy needs to be replaced. Ignored if sendCopy is false.
      `newCaption` - New message caption; pass null to copy message without caption. Ignored if replaceCaption is false.
      `newShowCaptionAboveMedia` - True, if new caption must be shown above the animation; otherwise, new caption must be shown below the animation; not supported in secret chats. Ignored if replaceCaption is false.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR